## akonadi-search 24.08.2

=== debian/changelog ===
akonadi-search (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 17:48:31 -0500

akonadi-search (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:35 +0200

akonadi-search (4:24.08.0-2) experimental; urgency=medium

  [ Matthias Geiger ]
  * d/rules: set rustflags needed for build, use packaged crates

  [ Patrick Franz ]
  * Add patch to adjust dependencies for the Rust crate to what is
    available in Debian.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Oct 2024 21:11:31 +0200

akonadi-search (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Do not rely on dpkg_late_eval any more to set the ABI-version for
    the virtual package.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Aug 2024 00:11:29 +0200

akonadi-search (4:22.12.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061881

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:39:18 +0000
