=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: akonadi-search
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
 Build-Depends: ca-certificates,
                cargo,
@@ -11,33 +10,33 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dpkg-dev (>= 1.22.5),
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.08.2~),
-               libakonadimime-dev (>= 4:24.08.2~),
-               libkf6calendarcore-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6contacts-dev (>= 6.3.0~),
-               libkf6crash-dev (>= 6.3.0~),
-               libkf6dbusaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
-               libkf6kcmutils-dev (>= 6.3.0~),
-               libkf6kio-dev (>= 6.3.0~),
-               libkf6runner-dev (>= 6.3.0~),
-               libkmime-dev (>= 24.08.2~),
+               libakonadi-dev (>= 4:24.12.0~),
+               libakonadimime-dev (>= 4:24.12.0~),
+               libkf6calendarcore-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6contacts-dev (>= 6.6.0~),
+               libkf6crash-dev (>= 6.6.0~),
+               libkf6dbusaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
+               libkf6kcmutils-dev (>= 6.6.0~),
+               libkf6kio-dev (>= 6.6.0~),
+               libkf6runner-dev (>= 6.6.0~),
+               libkmime-dev (>= 24.12.0~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-build-dev,
                librust-cxx-dev,
                librust-html2text-dev,
                libxapian-dev,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                rustc,
                xauth,
                xvfb,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-search
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
 Rules-Requires-Root: no
 
 Package: libakonadisearch-bin
@@ -65,17 +64,17 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.08.2~),
-         libakonadimime-dev (>= 4:24.08.2~),
-         libkf6calendarcore-dev (>= 6.3.0~),
-         libkf6contacts-dev (>= 6.3.0~),
+Depends: libakonadi-dev (>= 4:24.12.0~),
+         libakonadimime-dev (>= 4:24.12.0~),
+         libkf6calendarcore-dev (>= 6.6.0~),
+         libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.08.2~),
+         libkmime-dev (>= 24.12.0~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),
          libkpim6akonadisearchxapian6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
          ${so:Depends},
 Description: Akonadi search library - development files
