## akonadi-search 24.12.2

=== debian/changelog ===
akonadi-search (4:24.12.2-2) unstable; urgency=medium

  * Team upload
  * Refresh rustc-deps patch; use html2text 0.12
  * d/control: Update rust dependencies with debcargo

 -- Matthias Geiger <werdahias@debian.org>  Fri, 28 Feb 2025 14:26:48 +0100

akonadi-search (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:19 +0100
