=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: ca-certificates,
-               cargo,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dpkg-dev (>= 1.22.5),
+               ca-certificates,
+               cargo:native,
                cmake (>= 3.16~),
                corrosion,
-               debhelper-compat (= 13),
-               dh-sequence-kf6,
-               dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -23,14 +23,15 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkmime-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
-               librust-cxx-build-dev,
-               librust-cxx-dev,
-               librust-html2text-dev,
-               libxapian-dev,
+			   librust-cxx-1+default-dev (>= 1.0.106-~~),
+			   librust-cxx-build-1+default-dev (>= 1.0.106-~~),
+			   librust-html2text-0.12+default-dev,
+			   libstd-rust-dev,
+			   libxapian-dev,
                qt6-base-dev (>= 6.7.0~),
-               rustc,
+               rustc:native,
                xauth,
                xvfb,
 Standards-Version: 4.7.0
@@ -64,12 +65,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.0~),
-         libakonadimime-dev (>= 4:24.12.0~),
+Depends: libakonadi-dev (>= 4:24.12.2~),
+         libakonadimime-dev (>= 4:24.12.2~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.12.0~),
+         libkmime-dev (>= 24.12.2~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),
