=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                corrosion,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -23,18 +23,18 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.3~),
                libktextaddons-dev (>= 1.5.4~),
-			   librust-cxx-1+default-dev (>= 1.0.106-~~),
-			   librust-cxx-build-1+default-dev (>= 1.0.106-~~),
-			   librust-html2text-0.12+default-dev,
-			   libstd-rust-dev,
-			   libxapian-dev,
+               librust-cxx-1+default-dev (>= 1.0.106-~~),
+               librust-cxx-build-1+default-dev (>= 1.0.106-~~),
+               librust-html2text-0.12+default-dev,
+               libstd-rust-dev,
+               libxapian-dev,
                qt6-base-dev (>= 6.7.0~),
                rustc:native,
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/akonadi-search
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
@@ -65,12 +65,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.2~),
-         libakonadimime-dev (>= 4:24.12.2~),
+Depends: libakonadi-dev (>= 4:24.12.3~),
+         libakonadimime-dev (>= 4:24.12.3~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.12.2~),
+         libkmime-dev (>= 24.12.3~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),
