=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: akonadi-search
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-kf6,
-               dpkg-dev (>= 1.22.5),
-               ca-certificates,
+Build-Depends: ca-certificates,
                cargo:native,
                cmake (>= 3.16~),
                corrosion,
+               debhelper-compat (= 13),
+               dh-sequence-kf6,
+               dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:24.12.3~),
-               libakonadimime-dev (>= 4:24.12.3~),
+               libakonadi-dev (>= 4:25.07.80~),
+               libakonadimime-dev (>= 4:25.07.80~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -23,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 24.12.3~),
+               libkmime-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -34,10 +35,10 @@
                rustc:native,
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akonadi-search
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi-search
 Rules-Requires-Root: no
 
 Package: libakonadisearch-bin
@@ -65,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:24.12.3~),
-         libakonadimime-dev (>= 4:24.12.3~),
+Depends: libakonadi-dev (>= 4:25.07.80~),
+         libakonadimime-dev (>= 4:25.07.80~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 24.12.3~),
+         libkmime-dev (>= 25.07.80~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),
