=== debug/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,4 @@
-include_directories(
-  ${CMAKE_CURRENT_BINARY_DIR}/..
-)
+include_directories(${CMAKE_CURRENT_BINARY_DIR}/..)
 
 macro(add_akonadisearchdebug_unittest _source)
     get_filename_component(_name ${_source} NAME_WE)
@@ -9,7 +7,7 @@
         NAME_PREFIX "akonadisearchdebug-"
         LINK_LIBRARIES Qt::Test Qt::Gui KF6::Completion KF6::CoreAddons KPim6::AkonadiSearchDebug KPim6::AkonadiCore
         GUI
-   )
+    )
 endmacro()
 
 add_akonadisearchdebug_unittest(akonadisearchdebugdialogtest.cpp)
