=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                dpkg-dev (>= 1.22.5),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.08.0~),
-               libakonadimime-dev (>= 4:25.08.0~),
+               libakonadi-dev (>= 4:25.08.1~),
+               libakonadimime-dev (>= 4:25.08.1~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -24,7 +24,7 @@
                libkf6kcmutils-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6runner-dev (>= 6.6.0~),
-               libkmime-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.1~),
                libktextaddons-dev (>= 1.5.4~),
                librust-cxx-1+default-dev (>= 1.0.106-~~),
                librust-cxx-build-1+default-dev (>= 1.0.106-~~),
@@ -66,12 +66,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libakonadi-dev (>= 4:25.08.0~),
-         libakonadimime-dev (>= 4:25.08.0~),
+Depends: libakonadi-dev (>= 4:25.08.1~),
+         libakonadimime-dev (>= 4:25.08.1~),
          libkf6calendarcore-dev (>= 6.6.0~),
          libkf6contacts-dev (>= 6.6.0~),
          libkf6coreaddons-dev (>= 6.3.0~),
-         libkmime-dev (>= 25.08.0~),
+         libkmime-dev (>= 25.08.1~),
          libkpim6akonadisearchcore6 (= ${binary:Version}),
          libkpim6akonadisearchdebug6 (= ${binary:Version}),
          libkpim6akonadisearchpim6 (= ${binary:Version}),
